package com.cultural.heritage.model.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serial;
import java.io.Serializable;

@Data
public class Address implements Serializable {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    private Long id;


    /**
     * 联系人
     */
    private String name;


    /**
     * 手机号
     */
    private String phone;


    /**
     * 地区
     */
    private String region;


    /**
     * 详细地址
     */
    private String detailAddress;


    /**
     * 用户id
     */
    private Long userId;

    /**
     * 是否删除
     */
    private Integer isDelete;


    /**
     * 是否为默认地址
     */
    private Integer isDefault;


    @Serial
    private static final long serialVersionUID = 1L;
}
